Bug 431032 - Review Request: ghost-diagrams - A program that generates patterns from tiles
Review Request: ghost-diagrams - A program that generates patterns from tiles
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 04:40 EST by Ignacio Vazquez-Abrams
Modified: 2008-02-06 20:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 20:51:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Potential icon source (49.03 KB, image/png)
2008-01-31 20:54 EST, Ignacio Vazquez-Abrams
no flags Details

  None (edit)
Description Ignacio Vazquez-Abrams 2008-01-31 04:40:20 EST
Spec URL: http://ivazquez.fedorapeople.org/packages/ghost-diagrams/ghost-diagrams.spec
SRPM URL: http://ivazquez.fedorapeople.org/packages/ghost-diagrams/ghost-diagrams-0.8-1.src.rpm
Description: Ghost Diagrams is a program that takes sets of tiles and tries to find patterns into which they may be formed. The patterns it finds when given randomly chosen tiles are often surprising.
Comment 1 Parag AN(पराग) 2008-01-31 05:53:53 EST
--delete-original not needed in desktop-file-install
Do you got any icon to install for this desktop file?
Comment 2 Ignacio Vazquez-Abrams 2008-01-31 20:54:04 EST
Created attachment 293679 [details]
Potential icon source

(In reply to comment #1)
> --delete-original not needed in desktop-file-install

Strictly speaking, no. But I'd rather be pedantic about it.

> Do you got any icon to install for this desktop file?

Nothing official, but I was considering carving one from the attached image
generated by it.
Comment 3 Parag AN(पराग) 2008-01-31 22:01:14 EST
(In reply to comment #2)
> Created an attachment (id=293679) [edit]
> Potential icon source

OK
> 
> (In reply to comment #1)
> > --delete-original not needed in desktop-file-install
> 
> Strictly speaking, no. But I'd rather be pedantic about it.
> 
Anyway, Not a blocker for review.

> > Do you got any icon to install for this desktop file?
> 
> Nothing official, but I was considering carving one from the attached image
> generated by it.

Ok.
Comment 4 Parag AN(पराग) 2008-01-31 22:04:44 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
e578104d433f48639d9cf73aade1ae9e  ghost-diagrams-0.8.py
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
- %doc files NOT present.
+ BuildRequires are proper.
+ defattr usage is correct
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed correctly.
+ GUI app.

 SHOULD:
        Good if some kind of documentation say README included in next release.

APPROVED.
Comment 5 Ignacio Vazquez-Abrams 2008-02-01 01:13:33 EST
New Package CVS Request
=======================
Package Name: ghost-diagrams
Short Description: A program that generates patterns from tiles
Owners: ivazquez
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-02-01 12:46:34 EST
cvs done.
Comment 7 Parag AN(पराग) 2008-02-06 20:51:32 EST
Closing this as this package has been successfully built for all requested
branches on build server.

Note You need to log in before you can comment on or make changes to this bug.